@echo OFF
SETLOCAL

cd .
set PRODUCT=EZOES
set STARTTYPE=%1

set CURRENT_DIR=%cd%
if not exist "%CURRENT_DIR%\lib\ezoes.jar" goto invalidWorkingDir

echo ######################################################
echo #
echo #    Start-Script for %PRODUCT%
echo #    Platform Windows XP
echo #
echo #    %CURRENT_DIR%
echo ######################################################

set JAVA_BIN=javaw.exe

rem
rem ------------------------- Java
rem
set VM_HEAP=-Xms32m -Xmx128m -XX:+UseParNewGC -XX:NewRatio=4
set JAVA_OPTS=-DshareType=ASHR

set LIB=%CURRENT_DIR%\lib
set CFG=%CURRENT_DIR%\cfgA

rem
rem ------------------------- Classpath
rem
set CLASSPATH=%CFG%;%LIB%\ezoes.jar;%LIB%\mina-core.jar;%LIB%\slf4j-api-1.4.3.jar;%LIB%\slf4j-log4j12-1.4.3.jar;%LIB%\log4j-1.2.8.jar;%LIB%\commons-net-2.0.jar;%LIB%\sqljdbc.jar

@for %%i in (drivers\*.jar) do @call misc\add2cp.bat %%~fi

@for %%i in (drivers\*.zip) do @call misc\add2cp.bat %%~fi

rem
rem ------------------------- Determine current logfile
rem
set LOG_FILE_DIR=%CURRENT_DIR%\logs
if not exist %LOG_FILE_DIR%\NUL md %LOG_FILE_DIR%

rem
rem ------------------------- Echos
rem
date /t
set NUMBER_OF_PROCESSORS
%JAVA_BIN% -version

rem
rem ------------------------- List startup parameters
rem
echo ------------- Startup Parameters --------------
echo JAVA_HOME --- %JAVA_HOME%
echo VM_HEAP   --- %VM_HEAP%
echo JAVA_OPTS --- %JAVA_OPTS%
echo CLASSPATH --- %CLASSPATH%
echo -----------------------------------------------

@echo Starting %PRODUCT%...
@echo OFF
start /b %JAVA_BIN% %VM_HEAP% %JAVA_OPTS% sse.ngts.val2legacy.EZOES %STARTTYPE%

@echo OFF

goto endOfApp

:invalidWorkingDir
echo EZOES is NOT installed under %CURRENT_DIR%

:endOfApp
ENDLOCAL